AOZ Studio Beta - Bug #900

Many

math errors generate NaN instead of a proper ERRN, ERRS$, etc.

06/17/2022 06:16 AM - Brian Flanagan

Status: Resolved Start date: 06/17/2022
Priority: High Due date:

Assignee: AQOZ Developers % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B15)

Description

For On Error to work properly we need the errors to be available via ERRN, ERRS$, etc.
For example:

ASin() and ACos() used with invalid values, or dividing by 0, all should produce errors, but instead they produce NaN!
these should produce the proper values in ERRN & ERR$ so errors can be handled via On Error, etc.

History

#1 - 06/29/2022 09:41 AM - Francois Lionet

- Status changed from New to Resolved

Fixed!
